/* ccgo: igs/stats_box.hh
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_STATS_BOX_HH
#define IGS_STATS_BOX_HH
#include "player.hh"
#include "result.hh"
#include <gtkmm/window.h>
#include <gtkmm/label.h>
#include <sigc++/signal.h>
#include <gtkmm/box.h>
#include <gtkmm/textview.h>
#include <gtkmm/entry.h>
namespace igs
{
	class StatsBox :
		public Gtk::VBox
	{
		Player player;
		std::string name;

		Gtk::Label rank;
		Gtk::Label rated_games;
		Gtk::HBox state_box;
		Gtk::Label state;
		Gtk::Button game;
		Gtk::Label idle_time;
		Gtk::Label address;
// 		Gtk::Label info;

		Gtk::TextView info_box;

// 		void on_show();
		void hit_game();
// 		void refresh();
	public:
		StatsBox(const std::string &);
		~StatsBox();
		void update(const Player &);
		void attach_result(const Result &);
		SigC::Signal1<void, int> select_game;
// 		SigC::Signal1<void, StatsBox *> stats_close;
// 		SigC::Signal1<void, const std::string &> stats_refresh;
	};
}
#endif // IGS_STATS_BOX_HH
