/* ccgo: root_proper.cc
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "root_proper.hh"

using namespace go;

RootProper::RootProper()
{
	size = 19;
	komi = 0;
}

RootProper::RootProper(const RootProper & p) :
	Proper(p)
{
	size = p.size;
	komi = p.komi;
	game_name = p.game_name;
}

Proper * RootProper::dup() const
{
	return new RootProper(* this);
}

void RootProper::build(const Game & g, const sgf::Node & n)
{
	Proper::build(g, n);
	const sgf::Prop * p;
	if ((p = n.find("SZ")) != NULL) size = p->as_int();
	if ((p = n.find("KM")) != NULL) komi = p->as_real();
	if ((p = n.find("GN")) != NULL) game_name = p->as_string();
}

void RootProper::set_size(unsigned z)
{
	size = z;
}

void RootProper::set_komi(double k)
{
	komi = k;
}

void RootProper::set_game_name(const std::string & n)
{
	game_name = n;
}

unsigned RootProper::get_size() const
{
	return size;
}

double RootProper::get_komi() const
{
	return komi;
}

const std::string & RootProper::get_game_name() const
{
	return game_name;
}
